## edu.stanford.nlp.trees.international.french
Class FrenchTreebankLanguagePack

    java.lang.Object
      edu.stanford.nlp.trees.AbstractTreebankLanguagePack
          edu.stanford.nlp.trees.international.french.FrenchTreebankLanguagePack

All Implemented Interfaces:
  TreebankLanguagePack, Serializable

    public class FrenchTreebankLanguagePack

extends AbstractTreebankLanguagePack

Language pack for the French treebank.

Author:
  mcdm
See Also:
  Serialized Form

Field Summary
`static String` `FTB_ENCODING`

Fields inherited from class edu.stanford.nlp.trees.AbstractTreebankLanguagePack
`DEFAULT_ENCODING, DEFAULT_GF_CHAR, gfCharacter`

Constructor Summary
`FrenchTreebankLanguagePack()`

Method Summary
`String` `getEncoding()` Return the input Charset encoding for the Treebank.
`HeadFinder` `headFinder()` The HeadFinder to use for your treebank.
`char[]` `labelAnnotationIntroducingCharacters()` Return an array of characters at which a String should be truncated to give the basic syntactic category of a label.
`String[]` `punctuationTags()` Returns a String array of punctuation tags for this treebank/language.
`String[]` `punctuationWords()` Returns a String array of punctuation words for this treebank/language.
`String[]` `sentenceFinalPunctuationTags()` Returns a String array of sentence final punctuation tags for this treebank/language.
`String[]` `sentenceFinalPunctuationWords()` Returns a String array of sentence final punctuation words for this treebank/language.
`String[]` `startSymbols()` Returns a String array of treebank start symbols.
`String` `treebankFileExtension()` Returns the extension of treebank files for this treebank.

Methods inherited from class edu.stanford.nlp.trees.AbstractTreebankLanguagePack

`basicCategory, categoryAndFunction, evalBIgnoredPunctuationTagAcceptFilter, evalBIgnoredPunctuationTagRejectFilter, evalBIgnoredPunctuationTags, getBasicCategoryFunction, getCategoryAndFunctionFunction, getGfCharacter, getTokenizerFactory, grammaticalStructureFactory, grammaticalStructureFactory, isEvalBIgnoredPunctuationTag, isLabelAnnotationIntroducingCharacter, isPunctuationTag, isPunctuationWord, isSentenceFinalPunctuationTag, isStartSymbol, morphFeatureSpec, punctuationTagAcceptFilter, punctuationTagRejectFilter, punctuationWordAcceptFilter, punctuationWordRejectFilter, sentenceFinalPunctuationTagAcceptFilter, setGfCharacter, startSymbol, startSymbolAcceptFilter, stripGF, treeReaderFactory, treeTokenizerFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FTB_ENCODING

    public static final String FTB_ENCODING

See Also:
  Constant Field Values

Constructor Detail

### FrenchTreebankLanguagePack

    public FrenchTreebankLanguagePack()

Method Detail

### getEncoding

    public String getEncoding()

  Description copied from class: `AbstractTreebankLanguagePack`
  Return the input Charset encoding for the Treebank. See documentation for the `Charset` class.

  Specified by:
    `getEncoding` in interface `TreebankLanguagePack`
  Overrides:
    `getEncoding` in class `AbstractTreebankLanguagePack`
  Returns:
    Name of Charset

### punctuationTags

    public String[] punctuationTags()

  Returns a String array of punctuation tags for this treebank/language.

  Specified by:
    `punctuationTags` in interface `TreebankLanguagePack`
  Specified by:
    `punctuationTags` in class `AbstractTreebankLanguagePack`
  Returns:
    The punctuation tags

### punctuationWords

    public String[] punctuationWords()

  Returns a String array of punctuation words for this treebank/language.

  Specified by:
    `punctuationWords` in interface `TreebankLanguagePack`
  Specified by:
    `punctuationWords` in class `AbstractTreebankLanguagePack`
  Returns:
    The punctuation words

### sentenceFinalPunctuationTags

    public String[] sentenceFinalPunctuationTags()

  Returns a String array of sentence final punctuation tags for this treebank/language.

  Specified by:
    `sentenceFinalPunctuationTags` in interface `TreebankLanguagePack`
  Specified by:
    `sentenceFinalPunctuationTags` in class `AbstractTreebankLanguagePack`
  Returns:
    The sentence final punctuation tags

### sentenceFinalPunctuationWords

    public String[] sentenceFinalPunctuationWords()

  Returns a String array of sentence final punctuation words for this treebank/language.

  Returns:
    The sentence final punctuation tags

### labelAnnotationIntroducingCharacters

    public char[] labelAnnotationIntroducingCharacters()

  Return an array of characters at which a String should be truncated to give the basic syntactic category of a label. The idea here is that French treebank style labels follow a syntactic category with various functional and crossreferencing information introduced by special characters (such as "NP-SUBJ"). This would be truncated to "NP" by the array containing '-'.

  Specified by:
    `labelAnnotationIntroducingCharacters` in interface `TreebankLanguagePack`
  Overrides:
    `labelAnnotationIntroducingCharacters` in class `AbstractTreebankLanguagePack`
  Returns:
    An array of characters that set off label name suffixes

### startSymbols

    public String[] startSymbols()

  Returns a String array of treebank start symbols.

  Specified by:
    `startSymbols` in interface `TreebankLanguagePack`
  Specified by:
    `startSymbols` in class `AbstractTreebankLanguagePack`
  Returns:
    The start symbols

### treebankFileExtension

    public String treebankFileExtension()

  Returns the extension of treebank files for this treebank.

  Returns:
    the extension on files for this treebank

### headFinder

    public HeadFinder headFinder()

  The HeadFinder to use for your treebank.

  Returns:
    A suitable HeadFinder

Stanford NLP Group